Read an encrypted private-inference job.
GET
/v1/private-inference/jobs/{job_id}
Authentication
API Key (header: X-B3IQ-Customer-ID) API Key (header: X-B3IQ-Customer-Token)
Path Parameters
job_id
string
required
path
Responses
200
Private job status and encrypted result fields.
application/jsonjob_id
string
node_id
string
model_id
string
status
string
encrypted_request
object
version
string
REQUIRED
Enum:
b3iq-private-transport-v1key_id
string
REQUIRED
algorithm
string
REQUIRED
Enum:
x25519-hkdf-sha256-chacha20poly1305client_public_key_x25519
string
REQUIRED
Base64url X25519 client public key.
nonce
string
REQUIRED
Base64url 12-byte AEAD nonce.
ciphertext
string
REQUIRED
Base64url encrypted payload.
aad_hash
string
Optional sha256 hash of the AAD used when sealing the envelope.
encrypted_response
object
version
string
REQUIRED
Enum:
b3iq-private-transport-v1key_id
string
REQUIRED
algorithm
string
REQUIRED
Enum:
x25519-hkdf-sha256-chacha20poly1305client_public_key_x25519
string
REQUIRED
Base64url X25519 client public key.
nonce
string
REQUIRED
Base64url 12-byte AEAD nonce.
ciphertext
string
REQUIRED
Base64url encrypted payload.
aad_hash
string
Optional sha256 hash of the AAD used when sealing the envelope.
receipt_hash
string
billing
object
customer_id
string
policy_version
string
quoted_price_wei
string
reserved_price_wei
string
payout_price_wei
string
status
string
created_at
string (date-time)
completed_at
string (date-time)
default
B3IQ-native problem response.
curl -X GET 'https://{controlPlaneHost}/v1/private-inference/jobs/string' \ -H 'X-B3IQ-Customer-ID: YOUR_API_KEY'
const response = await fetch('https://{controlPlaneHost}/v1/private-inference/jobs/string', { method: 'GET', headers: { "X-B3IQ-Customer-ID": "YOUR_API_KEY" }});const data = await response.json();console.log(data);
200
Response
{ "job_id": "<string>", "node_id": "<string>", "model_id": "<string>", "status": "<string>", "encrypted_request": { "version": "b3iq-private-transport-v1", "key_id": "<string>", "algorithm": "x25519-hkdf-sha256-chacha20poly1305", "client_public_key_x25519": "<string>", "nonce": "<string>", "ciphertext": "<string>", "aad_hash": "<string>" }, "encrypted_response": { "version": "b3iq-private-transport-v1", "key_id": "<string>", "algorithm": "x25519-hkdf-sha256-chacha20poly1305", "client_public_key_x25519": "<string>", "nonce": "<string>", "ciphertext": "<string>", "aad_hash": "<string>" }, "receipt_hash": "<string>", "billing": { "customer_id": "<string>", "policy_version": "<string>", "quoted_price_wei": "<string>", "reserved_price_wei": "<string>", "payout_price_wei": "<string>", "status": "<string>" }, "created_at": "2024-01-01T00:00:00Z", "completed_at": "2024-01-01T00:00:00Z"}
API Playground
Try this endpoint
GET
/v1/private-inference/jobs/{job_id}
